Subject: PMP> RE: PWG> Question about Localization

From: "Hastings, Tom N" <[email-masked]>
Date: Mon, 16 Apr 2001 11:56:01 -0700

Ray,

You should look at RFC 2569, entitled: "Mapping between LPD and IPP
Protocols".  IPP (RFC 2911) has a lot of character set and localization
semantics in it, so those semantics may help in understanding how they might
apply to LPD using the mapping semantics.  (I have not studied RFC 259 from
this perspective).  I suspect that RFC 1179 which attempted to document LPD
practice didn't go into such areas.

There is also RFC 2708 "Job Submission Protocol Mapping Recommendations for
the Job Monitoring MIB" that deals with mapping job attributes of PServer
and RPrinter to the PWG Job Monitoring MIB (RFC 2707), that might also help.
The PWG Job Monitoring MIB had localization and character set support in it.

If you find that these documents are insufficient to answer your questions,
please post the questions again to these lists, since such documents should
include character and localization considerations.

Thanks,
Tom

-----Original Message-----
From: Ray Casterline [mailto:[email-masked]]
Sent: Monday, April 09, 2001 14:31
To: [email-masked]
Subject: PWG> Question about Localization

Hello,

	I had some questions with regards to localization
	specifically for PServer, RPrinter and LPD.

	The questions are as follows:
		Character set/encoding supported?
		Character set identification?
		Character set negotiation?
		Character Transformation encoding?

	Specifically in regards to:
		Path name,
		User name,
		Domain name,
		Host name,
		Queue name,
		Printer name,
		Print server name,
		Repository name

	Does anyone know of any RFC's or other documents that
	I can get access to that would help me resolve these
	questions?

	Thanks in advance for any and all help.

Best Regards,
Ray Casterline
Principle				Lighthouse Solutions, LLC
716.218.9910 - voice			2604 Elmwood Ave., #346
716.218.9913 - fax			Rochester, NY   14618